[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'LDockTree' (#lcl)

# TLazDockZone.Destroy

Destructor for the class instance.

## Declaration

Source position: ldocktree.pas line 121

`public destructor TLazDockZone.Destroy; override;`

## Description

Destroy is the overridden destructor for TLazDockZone, It calls FreeSubComponents to free resources allocated to Page, Pages, and Splitter. It calls the inherited destructor prior to exiting from the method.

## See also

TLazDockZone.FreeSubComponents |  | FreeSubComponents - frees and nils the local splitter and page/pages components, ready for destroying the control.
TLazDockZone.Page |  | A Page in the Notebook included in the Dock Zone.
TLazDockZone.Pages |  | The Pages (as in a Notebook) included in the dock zone.
TLazDockZone.Splitter |  | The Splitter to be use to control the docking of this Zone.